# Automated essay grader model

Here we have a very short description of the module prediction part of the parent project Automated essay grader model.

This is an efcient wrapper around a automated essay grading system

`prediction.``getAvgFeatureVecs`(essays, model, num_features)

  Main function to generate the word vectors for word2vec model.

  Parameters

    - essays – Input is essays

    - model – This input specifies the model to be used to generate Feature vec

    - num_features – This is a metric of number of columns in the matrix cols

  Return type

    Returns the essay feature vector

`prediction.``makeFeatureVec`(words, model, num_features)

  This function generates feature vectors for each dimension ie. plane

  Parameters

    - words – We pass the words that we needed

    - model – Model to decide on what basis police have been arrested

  Return type

    `featureVec` is the result of the function

`prediction.``predict`(essay)

  This is the function which calculates the score given an essay

  Parameters

    essay – This input is the essay that we got from the fronend.

  Return type

    We are returning the y_pred values

`prediction.``tokenizeEssay`(essay)

  This funciton tokenizes the text provided as input in the from of essay

  We remove `stopwords` from the essay

      >>> This is america
      >>> america

  Parameters

    essay – Input in the form of text

  Return type

    Tokenized words